<template>
  <a-table :columns="columns" :data-source="store.searchAreasByKeyword" size="middle" :loading="store.isBuildingLoading">
    <div slot="operation" slot-scope="id, row">
      <AreaDialog :area="row" class="col-span-12">
        <b-action-button>More detail</b-action-button>
      </AreaDialog>
    </div>
  </a-table>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import { useBuilding } from '~/store/building'
import BActionButton from '~/components/shared/buttons/ActionButton'
import AreaDialog from '~/components/area/AreaDialog.vue'

const columns = [
  {
    title: 'AREA',
    dataIndex: 'name',
    key: 'name',
  },
  {
    title: '',
    dataIndex: 'operation',
    scopedSlots: { customRender: 'operation' },
    key: 'operation',
    width: 150,
  },
]

export default defineComponent({
  components: { BActionButton, AreaDialog },
  setup() {
    const store = useBuilding()
    return { store }
  },
  data() {
    return {
      columns,
    }
  },
})
</script>
